vim.g.mapleader        = " "
vim.opt.expandtab      = true
vim.opt.smartindent    = true
vim.opt.shiftwidth     = 0
vim.opt.tabstop        = 4
vim.opt.cino           = "(s"
vim.g.python_indent    = { open_paren = "shiftwidth()" }
vim.opt.list           = true
vim.opt.listchars      = {
    leadmultispace = "│   ",
    nbsp = "+",
    tab = "> ",
    trail = "-",
}
vim.opt.number         = true
vim.opt.relativenumber = true
vim.opt.laststatus     = 3
vim.opt.guicursor      = ""
vim.opt.mousemodel     = "extend"
vim.opt.path           = vim.o.path .. ",**"
vim.opt.foldmethod     = "indent"
vim.opt.foldlevel      = 99
vim.opt.scrolloff      = 2
vim.opt.colorcolumn    = "80"
vim.g.netrw_banner     = 0
vim.opt.lazyredraw     = true
vim.opt.complete       = vim.o.complete .. ",i"
vim.opt.hlsearch       = false

vim.g.go_recommended_style = 0

require"theme"
require"lsp"
require"pack-telescope"
require"pack-treesitter"

vim.keymap.set("n", "<Leader>e", "<cmd>.w !$SHELL<CR>")
vim.keymap.set("n", "<Leader>s", "<cmd>%s/\\s\\+$//e<CR>")

vim.keymap.set("v", "<Leader>t", function()
    local sep = string.char(vim.fn.getchar())

    return ":!column -t -s'" .. sep .. "' -o'" .. sep .. "'<CR>"
end, {expr = true})
